import java.math.*;
import java.io.*;
import java.util.*;

class Main {
    public static void main(String[] args) {
//
        // Some sample output.
        BigInteger bi = BigInteger.valueOf(100);
        System.out.println( bi.compareTo(BigInteger.ZERO) );// 1
        System.out.println( BigInteger.ZERO.compareTo(bi) );// -1
        //System.out.println( bi.compareTo("A String") );   // ClassCastException
        //System.out.println( bi.compareTo(null) );         // NullPointerException

        // Read numbers from standard in.
        BufferedReader is = 
            new BufferedReader(new InputStreamReader(System.in));
        String line;
        List list = new ArrayList();

        // Add the big integers to the list.
        try {
            while ((line = is.readLine()) != null) {
                list.add(new BigInteger(line));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }

        // Sort the list.
        Collections.sort(list);

        // Print sorted list.
        for (int i=0; i<list.size(); i++) {
            System.out.println(list.get(i));
        }
//
    }
}
