import java.text.CollationKey;
import java.text.Collator;
import java.util.Locale;

public class Main {
    public static void main(String[] args) {
        Locale loc = Locale.FRENCH;

        // Create an instance of a subclass of collator.
        Collator myCollator = Collator.getInstance(loc);

        // Create collation keys for strings to be sorted. 
        CollationKey key1 = myCollator.getCollationKey("Tom"); 
        CollationKey key2 = myCollator.getCollationKey("Dick"); 

        System.out.println( key1.compareTo(key2) );  //  1
        System.out.println( key2.compareTo(key1) );  // -1

        // System.out.println( key2.compareTo(new Integer(1)) );  
                                              // ClassCastException
    }
}
