import java.text.*;

class Main {
    public static void main(String[] args) {
//
        String str = "abcdefghij";
        StringCharacterIterator it = new StringCharacterIterator(str, 5);
        System.out.println( it.getIndex() );    // 5
        System.out.println( it.last() );        // j
        System.out.println( it.getIndex() );    // 9

        // first() moves to beginning of subrange.
        it = new StringCharacterIterator(str, 5, 6, 6);
        System.out.println( it.getIndex() );    // 6
        System.out.println( it.last() );        // f
        System.out.println( it.getIndex() );    // 5

        // The current character of an empty subrange is DONE.
        it = new StringCharacterIterator(str, 5, 5, 5);
        System.out.println( it.last() );        // DONE
//
    }
}
