import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Calendar cal = new GregorianCalendar();
        System.out.println( cal.getTime().toString() );
            // Sun Jan 10 23:05:23 PST 1999

        cal.set(Calendar.DAY_OF_MONTH, 3);
        System.out.println( cal.getTime().toString() );
            // Sun Jan 10 23:05:23 PST 1999

        cal = new GregorianCalendar();
        cal.set(Calendar.DAY_OF_WEEK, Calendar.MONDAY);
        System.out.println( cal.getTime().toString() );
            // Sun Jan 10 23:05:23 PST 1999

        cal = new GregorianCalendar();
        cal.set(Calendar.DAY_OF_WEEK, Calendar.MONDAY);
        System.out.println( cal.getTime().toString() );
            // Sun Jan 10 23:05:23 PST 1999




        cal.set(Calendar.MONTH, Calendar.MAY);
        cal.set(Calendar.DAY_OF_WEEK, Calendar.MONDAY);
        System.out.println( cal.getTime().toString() );

        // year, month, day-of-month
        cal.set(Calendar.YEAR, 1980);
        cal.set(Calendar.MONTH, Calendar.JANUARY);
        System.out.println( cal.getTime().toString() );
            // Mon Feb 01 23:05:23 PST 1999

        // year, month, week-of-month, day-of-week
        cal.set(Calendar.YEAR, 1981);
        cal.set(Calendar.MONTH, Calendar.FEBRUARY);
        cal.set(Calendar.WEEK_OF_MONTH, 1);
        cal.set(Calendar.DAY_OF_WEEK, Calendar.MONDAY);
        System.out.println( cal.getTime().toString() );
            // Thu Feb 18 23:05:23 PST 1999

        // year, month, day-of-week-in-month, day-of-week
        cal.set(Calendar.YEAR, 1982);
        cal.set(Calendar.MONTH, Calendar.MARCH);
        cal.set(Calendar.DAY_OF_WEEK_IN_MONTH, 2);
        cal.set(Calendar.DAY_OF_WEEK, Calendar.TUESDAY);
        System.out.println( cal.getTime().toString() );
            // Thu Feb 18 23:05:23 PST 1999

        // year, day-of-year
        cal.set(Calendar.YEAR, 1983);
        cal.set(Calendar.DAY_OF_YEAR, 99);
        System.out.println( cal.getTime().toString() );
            // Thu Feb 18 23:05:23 PST 1999

        // year, day-of-week, week-of-year
        cal.set(Calendar.YEAR, 1984);
        cal.set(Calendar.DAY_OF_WEEK, Calendar.THURSDAY);
        cal.set(Calendar.WEEK_OF_YEAR, 20);
        System.out.println( cal.getTime().toString() );
            // Thu Feb 18 23:05:23 PST 1999
//
    }
}
