import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Set set = new HashSet();
        set.add(new Integer(0));
        System.out.println( set );                      // [0]
        
        // Since this new Integer object is equal to the previous object,
        // this object is not added to the list.
        System.out.println( set.add(new Integer(0)) );  // false
        System.out.println( set );                      // [0]

        set = Collections.singleton("dog");
        // This set is read-only.
        set.add("cat");                                 // UnsupportedOperationException
//
    }
}
