import java.util.*;

class Main {
    public static void main(String[] args) {
//
        SimpleTimeZone tz = new SimpleTimeZone(0, "JAV");
        int time = 2*60*60*100;    // 2am

            // March 15th 2am
        tz.setStartRule(Calendar.MARCH, 15, time);

            // 3rd Sunday in March 2am
        tz.setStartRule(Calendar.MARCH, 3, Calendar.SUNDAY, time);

            // 2nd last Sunday in March 2am
        tz.setStartRule(Calendar.MARCH, -2, Calendar.SUNDAY, time);

            // The Sunday on before March 15th 2am
        tz.setStartRule(Calendar.MARCH, 15, Calendar.SUNDAY, time, false);

            // The Sunday on after March 15th 2am
        tz.setStartRule(Calendar.MARCH, 15, Calendar.SUNDAY, time, true);

        tz = (SimpleTimeZone)TimeZone.getTimeZone("PST");
        System.out.println(tz.useDaylightTime());        // true
        tz.setStartRule(Calendar.JANUARY, 0, Calendar.FRIDAY, 0, true);
        System.out.println(tz.useDaylightTime());        // false
//
    }
}
