import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Set set = new TreeSet(Arrays.asList(new String[]{"dog", "cat", "dog"}));

        // Make it modifiable set.
        set = new TreeSet(set);
        System.out.println( set.remove("pig") );             // false
        System.out.println( set.remove("dog") );             // true
        System.out.println( set );                           // [cat]

        // Trying to remove an element that can't be compared with the
        // other elements in the set causes an exception.
        System.out.println( set.remove(new Integer(0)) );    // ClassCastException
//
    }
}
