import java.io.*;
import java.util.*;
import java.util.jar.*;

class Main {
    public static void main(String[] args) {
//
        Attributes a = new Attributes();
        a.putValue("dog", "spot");
        a.putValue("cat", "luck");

        System.out.println( a.remove(null) );                       // null
        System.out.println( a.remove("dog") ); // null; not an Attributes.Name

        System.out.println( a.remove(new Attributes.Name("DOG")) ); // spot
        print(a);                                                   // {cat=luck}

        // Note: see the class example for the implementation of print().
//
    }
    static void print(Attributes a) {
        System.out.print("{");
        boolean first = true;
        for (Iterator it=a.keySet().iterator(); it.hasNext(); ) {
            if (first) {
                first = false;
            } else {
                System.out.print(", ");
            }
            Object key = it.next();
            System.out.print(key+"="+a.get(key));
        }
        System.out.print("}\n");
    }
}
