import java.io.*;
import java.util.*;
import java.util.jar.*;

class Main {
    public static void main(String[] args) {
        Manifest man = new Manifest();
        man.getMainAttributes().put(Attributes.Name.MANIFEST_VERSION, "1.0");

        Attributes attr = new Attributes();
        attr.put(new Attributes.Name("Desc"), "Example for write() method");
        man.getEntries().put("Main.java", attr);

        try {
            man.write(new FileOutputStream("manifest.txt"));

            // Read the manifest file back in and compare.
            Manifest man2 = new Manifest(new FileInputStream("manifest.txt"));

            System.out.println(man.equals(man2));    // true
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}