import java.io.File;
import java.io.IOException;

class Main {
    public static void main(String[] args) {
//
        File lock = new File("testfile.lock");

        try {
            // Create lock file
            if (lock.createNewFile()) {
                // Make sure it gets deleted when we're done
                lock.deleteOnExit();

                // Do something useful
                System.out.println("Obtained lock");
            } else {
                System.out.println("Cannot grab lock");
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
//
    }
}
