class Main {
    public static void main(String[] args) {
//
        Double d = new Double(1.23e3);
        System.out.println(d.compareTo(new Double(1.23e3)));             // 0
        System.out.println(d.compareTo(new Double(0.0)));                // 1

        System.out.println(new Double(0.0).compareTo(new Double(-0.0))); // 1
        System.out.println(new Double(0.0).compareTo(new Double(0.0)));  // 0
        
        System.out.println(new Double(Double.POSITIVE_INFINITY).compareTo(
            new Double(Double.POSITIVE_INFINITY)));                      // 0
        
        System.out.println(new Double(Double.POSITIVE_INFINITY).compareTo(
            new Double(Double.NEGATIVE_INFINITY)));                      // 1
        
        System.out.println(new Double(Double.POSITIVE_INFINITY).compareTo(
            new Double(Double.NaN)));                                    // -1
        
        System.out.println(new Double(Double.POSITIVE_INFINITY).compareTo(
            new Double(Double.MAX_VALUE)));                              // 1
        
        System.out.println(new Double(Double.NEGATIVE_INFINITY).compareTo(
            new Double(Double.MIN_VALUE)));                              // -1 
        System.out.println(new Double(Double.NaN).compareTo(
            new Double(Double.NaN)));                                    // 0
        
        System.out.println(new Double(Double.NaN).compareTo(new Double(0.0))); // 1
        
        System.out.println(d.compareTo("abc")); // ClassCastException
//
    }
}
