import java.security.AccessController;

public class Main {
    public static void main(String[] args) {
        // Permit access to sun.* packages
        RuntimePermission pkgcheck = 
                new RuntimePermission("accessClassInPackage.sun.*");

        // Permit Class.getProtectionDomain()
        RuntimePermission domaincheck = 
                new RuntimePermission("getProtectionDomain");
        // Permit standard IO to be changed
        RuntimePermission iocheck = new RuntimePermission("setIO");
        
        try {
            AccessController.checkPermission(pkgcheck);
            AccessController.checkPermission(domaincheck);
            AccessController.checkPermission(iocheck);
        } catch (SecurityException e) {
            e.printStackTrace();
        }
    }
}
