import java.net.SocketPermission;
import java.io.FilePermission;

public class Main {
    public static void main(String[] args) {
//
SocketPermission p0 = new SocketPermission("localhost:0", "connect");
SocketPermission p1 = new SocketPermission("*", "connect");
SocketPermission p2 = new SocketPermission("*:1024-2048", "connect");
SocketPermission p3 = new SocketPermission("*.sun.com", "accept");
SocketPermission p4 = new SocketPermission("java.sun.com", "accept");
SocketPermission p5 = new SocketPermission("foo.test.sun.com", "accept");
SocketPermission p6 = new SocketPermission("java.sun.com", "resolve");
SocketPermission p7 = new SocketPermission("java.sun.com:-555", "accept");
SocketPermission p8 = new SocketPermission("*.test.sun.com:-555", "accept");
SocketPermission p9 = new SocketPermission("sun.com:-555", "accept");

System.out.println(p1.implies(p2));             // true
System.out.println(p1.implies(p3));             // false (accept != connect)
System.out.println(p3.implies(p4));             // false (mirrored host)
System.out.println(p3.implies(p5));             // false (nonexistent machine)
System.out.println(p3.implies(p6));             // false (mirrored host)
System.out.println(p4.implies(p6));             // true
System.out.println(p4.implies(p7));             // true
System.out.println(p3.implies(p8));             // true
System.out.println(p3.implies(p9));             // false

System.out.println(p1.implies(p0));             // true

System.out.println(p1.implies(new FilePermission("java.sun.com:80", "read")));
                                                // false
System.out.println(p1.implies(null));           // false
//
    }
}


    
