import java.net.URLClassLoader;
import java.net.URL;
import java.net.MalformedURLException;
import java.util.Enumeration;

public class Main {
    public static void main(String[] args) {
//
        try {
            URL[] urls = new URL[2];
            urls[0] = new URL("file:p.jar");
            urls[1] = new URL("http://wombat.eng.sun.com/");

            // Create URLClassLoader
            URLClassLoader cl = URLClassLoader.newInstance(urls);

            // Find "index.html" from these URLs
            Enumeration enum = cl.findResources("index.html");
            while (enum.hasMoreElements()) {
                System.out.println(enum.nextElement());
            }

            System.out.println("-----------------");

            // Find "index.html" from parent class loader + URLs
            enum = cl.getResources("index.html");
            while (enum.hasMoreElements()) {
                System.out.println(enum.nextElement());
            }
        } catch (MalformedURLException e) {
            e.printStackTrace();
        } catch (java.io.IOException e) {
            e.printStackTrace();
        }
//
    }
}
