import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Set s = new HashSet(Arrays.asList(new String[]{"dog", "cat"}));
        Set ros = Collections.unmodifiableSet(s);

        //ros.add("pig");                        // UnsupportedOperationException
        //ros.remove("cat");                     // UnsupportedOperationException

        // Modify s and check for change in rom.
        s.add("pig");
        System.out.println( new HashSet(ros) );  // [dog, cat, pig]

        System.out.println( s.equals(ros) );                     // true
        System.out.println( s.hashCode() == ros.hashCode() );    // true
//
    }
}