import java.util.*;
import java.awt.*;

class Main {
    public static void main(String[] args) {
        TreeSet set = new TreeSet(new PointComparator());
        Random rnd = new Random();

        for (int i=0; i<10; i++) {
            set.add(new Point((int)(rnd.nextInt(100)), (int)rnd.nextInt(100)));
        }

        for (Iterator it=set.iterator(); it.hasNext(); ) {
            Point p = (Point)it.next();
            System.out.println(p.x + " " + p.y);
        }
    }
    static class PointComparator implements Comparator {
        public int compare(Object o1, Object o2) {
            Point p1 = (Point)o1;
            Point p2 = (Point)o2;
            double d1 = Math.sqrt(p1.x*p1.x + p1.y*p1.y);
            double d2 = Math.sqrt(p2.x*p2.x + p2.y*p2.y);
            if (d1 < d2) {
                return -1;
            } else if (d2 < d1) {
                return 1;
            } else {
                return 0;
            }
        }
    }
}
