import java.util.*;

class Main {
    public static void main(String[] args) {
//
        Locale l = new Locale("En", "Us", "Unix");
        System.out.println(l.getLanguage());    // en
        System.out.println(l.getCountry());     // US
        System.out.println(l.getVariant());     // UNIX
        System.out.println(l.toString());       // en_US_UNIX

        l = new Locale("En", "", "Unix");
        System.out.println(l.getLanguage());    // en
        System.out.println(l.getCountry());     // 
        System.out.println(l.getVariant());     // UNIX
        System.out.println(l.toString());       // en__UNIX

        // Demonstrate that new codes are converted to old codes.
        l = new Locale("he", "");
        System.out.println(l.getLanguage());    // iw
//
    }
}
