import java.util.*;

class Main {
    public static void main(String[] args) {
//
        TreeSet set = new TreeSet(Arrays.asList(new Object[]{"c", "p"}));
        Set headset = set.headSet("g");
        System.out.println( headset );               // [c]

        // You can't add anything to the headset beyond g.
        System.out.println( headset.add("a") );      // true
        //System.out.println( headset.add("g") );    // IllegalArgumentException
        //System.out.println( headset.add("h") );    // IllegalArgumentException
        System.out.println( set );                   // [a, c, p]

        // Add to set and check headset.
        set.add("f");
        System.out.println( headset );               // [a, c, f]
//
    }
}
