import java.util.*;
import java.util.jar.*;

class Main {
    public static void main(String[] args) {
//
        Attributes attr = new Attributes();
        attr.putValue("dog", "spot");
        attr.putValue("cat", "luck");

        // Get all keys
        Set set = attr.keySet();

        // Remove attribute with the name "dog".
        Attributes.Name dog = new Attributes.Name("Dog");
        set.remove(dog);

        print( attr );                               // {cat=luck}
            
        // Add to the attributes map and check the set
        attr.put("yak", "yolk");
        System.out.println( set );                   // {cat, yak}

        // You can't add to the set
        set.add("bess");                             // UnsupportedOperationException

        // Note: see the class example for the implementation of print().
//
    }
    static void print(Attributes a) {
        System.out.print("{");
        boolean first = true;
        for (Iterator it=a.keySet().iterator(); it.hasNext(); ) {
            if (first) {
                first = false;
            } else {
                System.out.print(", ");
            }
            Object key = it.next();
            System.out.print(key+"="+a.get(key));
        }
        System.out.print("}\n");
    }
}
